<template>
  <div v-if="todos">
    <v-card-text v-if="todos.length > 0" class="pa-0">
      <v-simple-table>
          <thead>
          <tr>
            <th class="text-left">
              Tamamlandı
            </th>
            <th class="text-left">
              Görev
            </th>
            <th class="text-left">
              Süresi(dk)
            </th>
            <th class="text-left">
              Sil
            </th>
          </tr>
          </thead>
          <tbody>
          <tr
              v-for="item in todos"
              :key="item.ID"
              :class="isFinished(item)"
          >
            <td>
              <v-checkbox
                  v-model="item.IsFinish"
                  :false-value="0"
                  :true-value="1"
                  @change="update(item.ID, $event)"
              ></v-checkbox>
            </td>
            <td>{{ item.Content }}</td>
            <td>{{ item.EstimatedTime }}</td>
            <td>
              <v-btn icon @click="todoDelete(item.ID)">
                <v-icon>mdi-delete</v-icon>
              </v-btn>
            </td>
          </tr>
          </tbody>
      </v-simple-table>
    </v-card-text>

    <v-card-text v-else>
      <v-alert
          id="error"
          border="top"
          color="red lighten-2"
          dark
      >
        Gösterilecek Görev Bulunmamaktadır
      </v-alert>
    </v-card-text>
  </div>
</template>

<script>
import {mapActions} from "vuex";

export default {
  name: "List",
  props: {
    todos: {
      required: true
    }
  },
  data() {
    return {
      openUpdateModal: false
    }
  },
  methods: {
    ...mapActions('todo', [
      'deleteTodo',
      'updateTodo'
    ]),
    todoDelete(id) {
      this.deleteTodo(id)
    },
    update(id, e) {
      const payload = {
        isFinish: e ? 1 : 0
      }
      this.updateTodo({id, payload})
    },
    isFinished(item) {
      if (item.IsFinish) {
        return "done"
      }
    }
  },
}
</script>

<style scoped>
.done {
  background-color: #e7e7e7;
  color: #8c8c8c;
}
</style>